GCLOUD_COMPUTE_BACKEND-SERVICES_GET-HEALTH(1)

NAME

gcloud compute backend-services get-health - get backend health statuses from a backend service

SYNOPSIS

gcloud compute backend-services get-health NAME [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services get-health is used to request the current health status of instances in a backend service. Every group in the service is checked and the health status of each configured instance is printed. If a group contains names of instances that don't exist or instances that haven't yet been pushed to the load-balancing system, they will not show up. Those that are listed as HEALTHY are able to receive load-balanced traffic. Those that are marked as UNHEALTHY are either failing the configured health-check or not responding to it. Since the health checks are performed continuously and in a distributed manner, the state returned by this command is the most recent result of a vote of several redundant health checks. Backend services that do not have a valid global forwarding rule referencing it will not be health checked and so will have no health status.

POSITIONAL ARGUMENTS
NAME
    The name of the backend service.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.